fuel-pump-inventories-gas-stations-post-one¶
Source¶
Repository:
jef-systems/jef-fuel-pump-inventories-backendSource Run ID:
24967078100Source SHA:
1159f01c85f4a6aefdd03618419a726c3fc9edbbModule:
fuel-pump-inventoriesDocumentation Scope:
asyncLambda:
jef-fuel-pump-inventories-post-1
Endpoint¶
API Name:
jef-fuel-pump-inventoriesAction Name:
postMethod:
POSTScope Label:
AsyncResource Path:
/fuel-pump-inventories-gas-stations-post-oneComplete Endpoint:
https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-gas-stations-post-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fuel-pump-inventories-post-1curl payload mode:
json_body
API Gateway Description¶
Function: jef-fuel-pump-inventories-post-1
Module: jef-fuel-pump-inventories
Action: post
Method: POST
Invocation Mode: ASYNC
Resource Path: /fuel-pump-inventories-gas-stations-post-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-fuel-pump-inventories-gas-stations
Payload Example:
- pk: 0001
- entity_number: 0001
- station_name: Main Station
- address: Sample Address
Payload Schema:
- pk: string-{entity_number}
- entity_number: string
- station_name: string
- address: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "0001",
"entity_number": "0001",
"station_name": "Main Station",
"address": "Sample Address"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X POST "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-gas-stations-post-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"0001\", \"entity_number\": \"0001\", \"station_name\": \"Main Station\", \"address\": \"Sample Address\"}"
PowerShell curl¶
curl.exe -X POST "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-gas-stations-post-one" -H "Content-Type: application/json" --data-raw '{"pk": "0001", "entity_number": "0001", "station_name": "Main Station", "address": "Sample Address"}'